/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)aomul.c	1.5	9/19/95";
#include <farl.h>
#include <agl.h>

/*
 * オブジェクトのマトリクスによる変換
 */
void
AGLObjMulMatrix(object *obj, fix187 m187[4][4], fix1015 m1015[3][3])
{
     /* 現在のObjToWorld187マトリクスに、m187を掛ける		*/
     FarlSetSrcMatrix((unsigned short*)obj->objToWorld187);
     FarlMul4x4M187((unsigned short*)m187);
     FarlCopyDstToMem4x4((unsigned short*)obj->objToWorld187);

     /* 現在のObjToWorld1015マトリクスに、m1015を掛ける		*/
     FarlSetSrcMatrix3x3((unsigned short*)obj->objToWorld1015);
     FarlMul3x3M1015((unsigned short*)m1015);
     FarlCopyDstToMem3x3((unsigned short*)obj->objToWorld1015);

     obj->objChanged = 1;
}
